#!/bin/bash
#PBS -l walltime=02:00:00
#PBS -l ncpus=1,mem=16gb
#PBS -q sgp
#PBS -N cov_wes_pilot
#PBS -j oe

not finished

# enable running singletons
if [ -z $PBS_ARRAY_INDEX ]
then
  if [ -z $INDEX ]
  then
    export PBS_ARRAY_INDEX=1
  else
    export PBS_ARRAY_INDEX=$INDEX
  fi
fi

export PATH=$PATH:/home/u035/project/software/bcbio-1.1.3/tools/bin
BCBIO_CONFIG=/scratch/u035/project/analysis/wes_pilot/bcbio/config
BCBIO_WORK=/scratch/u035/project/analysis/wes_pilot/bcbio/work

# Expects environment variables to be set
# BATCH - date yyyymmdd batch
# FAMILY_IDS - text file listing family ids

FAMILY_ID=`head -n $PBS_ARRAY_INDEX $FAMILY_IDS | tail -n 1`

CONFIG_FILE=$BCBIO_CONFIG/${BATCH}_${FAMILY_ID}_prepare_samples-merged.yaml
mkdir -p $BCBIO_WORK/$FAMILY_ID
cd $BCBIO_WORK/$FAMILY_ID

bcbio_nextgen.py $CONFIG_FILE -n 16 -t local





//////////////////////////////////////////

#!/bin/bash

# To run this script, do 
# qsub -t 1-n submit_depth_of_coverage.sh IDS TARGETS BCBIO_UPLOAD_DIR COVERAGE_DIR
#
#$ -N coverage
#$ -j y
#$ -S /bin/bash
#$ -cwd
#$ -l h_rt=01:00:00
#$ -l h_vmem=16G

unset MODULEPATH
. /etc/profile.d/modules.sh

module load java/jdk/1.8.0

PARAMS=$1
TARGETS=$2
BCBIO_UPLOAD_DIR=$3
COVERAGE_DIR=$4

ID=`head -n $SGE_TASK_ID $PARAMS | tail -n 1`

export GATK3=/exports/igmm/eddie/NextGenResources/software/GenomeAnalysisTK-3.8/GenomeAnalysisTK.jar 
export REF=/exports/igmm/eddie/bioinfsvice/ameynert/software/bcbio-1.0.6/genomes/Hsapiens/hg38/seq/hg38.fa

BAM=$BCBIO_UPLOAD_DIR/$ID/$ID/$ID-ready.bam
OUT=$COVERAGE_DIR/$ID

java -Xmx4g -jar $GATK3 -T DepthOfCoverage -R $REF -o $OUT -I $BAM -L $TARGETS \
  --omitDepthOutputAtEachBase \
  --minBaseQuality 20 \
  --minMappingQuality 20 \
  -ct 1 -ct 5 -ct 10 -ct 15 -ct 20 -ct 25 -ct 30 -ct 50 \
  --allow_potentially_misencoded_quality_scores
